What are the system requirements for installing Magento 2.4.7?

Here are the system requirements for installing Magento 2.4.7, which is the latest version as of now:

Server Requirements

  1. Operating System:

    • Linux distributions such as Ubuntu, CentOS, Debian, or RedHat.
    • Windows is supported for development and testing purposes but not recommended for production.
  2. Web Server:

    • Apache 2.4 or later
    • Nginx 1.x
  3. Database:

    • MySQL 8.0
    • MariaDB 10.4, 10.3
    • Percona 8.0
  4. PHP:

    • PHP 7.4, 8.1, 8.2
    • Required PHP extensions:
      • ext-bcmath
      • ext-ctype
      • ext-curl
      • ext-dom
      • ext-gd
      • ext-hash
      • ext-iconv
      • ext-intl
      • ext-mbstring
      • ext-openssl
      • ext-pdo_mysql
      • ext-simplexml
      • ext-soap
      • ext-sockets
      • ext-sodium (PHP 7.2 or later)
      • ext-xsl
      • ext-zip
      • lib-libxml
  5. PHP Settings:

    • memory_limit: at least 2GB (recommended)
    • max_execution_time: 1800 (recommended)
    • max_input_vars: 20000 (recommended)

Additional Requirements

  1. Composer:

    • Composer 2.x is required for managing Magento dependencies and packages.
  2. HTTPS:

    • A valid SSL certificate for HTTPS, ensuring secure data transmission.
  3. RAM:

    • At least 2GB of RAM. Note that for the installation and deployment process, more RAM may be required to prevent issues related to memory limits.
  4. Elasticsearch:

    • Elasticsearch 7.10+ is required for the catalog search engine.
  5. Optional but Recommended:

    • Redis: For session and cache storage.
    • RabbitMQ: For message queue framework (if required by your setup).
    • Varnish: For full-page caching to improve performance.

File Permissions

  • Ensure correct file permissions are set for the Magento file system. Magento recommends setting appropriate permissions on files and directories to enhance security.

Browser Requirements for Admin

  • Modern web browsers like:
    • Google Chrome (latest version)
    • Mozilla Firefox (latest version)
    • Safari (latest version on Mac OS)
    • Microsoft Edge (latest version)

Summary

Meeting these system requirements ensures that Magento 2.4.7 operates efficiently and securely, providing a robust platform for managing your e-commerce store. Always refer to the latest official Magento documentation or Adobe Commerce documentation for any updates or changes to these requirements.